@title Left (reduced flash)
@param a Sync enable
@default a 1
@param b Delay enable
@default b 0
@param c Fine (in 0.1ms)
@default c 1
@param d Coarse delay (in 0.1s)
@default d 0
@param e Flash EV -4 stops
@default e -384

rem get current flash override value
get_prop 127 f

rem get flash on/off status (2 = closed, 1 = ON, 0 = Auto)
get_prop 143 g

set_sync a b c d

:loop
do
until (is_key "remote")

rem turn-down the flash on camera that has delay disabled but flash is ON (not Auto)
if b = 0 & g = 1 then set_prop 127 e

shoot
sleep 20

rem restore original flash override status
if b = 0 then set_prop 127 f
goto "loop"


